Bug 582894 - Review Request: emacs-common-ddskk - Daredevil SKK - Simple Kana to Kanji conversion program for Emacs
Summary: Review Request: emacs-common-ddskk - Daredevil SKK - Simple Kana to Kanji con...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 531688 532624 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-16 06:27 UTC by Daiki Ueno
Modified: 2010-11-15 22:23 UTC (History)
5 users (show)

Fixed In Version: emacs-common-ddskk-14.1-6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-22 03:16:32 UTC
Type: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Daiki Ueno 2010-04-16 06:27:01 UTC
This RR is an attempt to rename package from ddskk to emacs-common-ddskk, following the emacs policy.

Spec URL:
http://www.unixuser.org/~ueno/software/fedora/ddskk/emacs-common-ddskk.spec
SRPM URL:
http://www.unixuser.org/~ueno/software/fedora/ddskk/emacs-common-ddskk-13.1-3.fc13.src.rpm

Daredevil SKK is a branch of SKK (Simple Kana to Kanji conversion program,
an input method of Japanese). It forked from the maintrunk, SKK version 10.56.
It consists of a simple core and many optional programs which provide extensive
features, however, our target is to more simplify core, and more expand its
optional features.

Comment 1 Daiki Ueno 2010-04-16 06:27:48 UTC
*** Bug 531688 has been marked as a duplicate of this bug. ***

Comment 2 Daiki Ueno 2010-04-16 06:28:55 UTC
*** Bug 532624 has been marked as a duplicate of this bug. ***

Comment 3 Daiki Ueno 2010-09-06 01:24:30 UTC
Spec URL: http://ueno.fedorapeople.org/emacs-common-ddskk/emacs-common-ddskk.spec
SRPM URL: http://ueno.fedorapeople.org/emacs-common-ddskk/emacs-common-ddskk-14.1-1.fc13.src.rpm

Updated.  14.1 is the first upstream release officially supporting Emacs 23.

Comment 4 Parag AN(पराग) 2010-10-21 03:52:05 UTC
Suggestions

1) drop buildroot, %clean and cleaning of buildroot in %install

2) Use correct info scriptlet. See 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Texinfo

3) Drop following and its references in BR: and R:
%global apel_minver 10.7

We already build required dependencies in release and so we should not need to write explicit versions for BR: and R:

more see http://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

4) use following for main package
%defattr(-,root,root,-)

Comment 6 Daiki Ueno 2010-10-21 05:53:17 UTC
Sorry, the SRPM URL was wrong.  Updated with minor fix:

Spec URL:
http://ueno.fedorapeople.org/emacs-common-ddskk/emacs-common-ddskk.spec
SRPM URL:
http://ueno.fedorapeople.org/emacs-common-ddskk/emacs-common-ddskk-14.1-3.fc14.src.rpm

Comment 7 Parag AN(पराग) 2010-10-21 07:08:38 UTC
I don't think you need all the ChangeLog.* files. Just add ChangeLog file.

for macros, good to use curly brackets.

another issue directory ownership. This package need to own following directory
%{_xemacs_sitepkgdir}/etc


APPROVED.

Comment 8 Daiki Ueno 2010-10-21 08:20:44 UTC
Thanks for the review, Parag.

New Package SCM Request
=======================
Package Name: emacs-common-ddskk
Short Description: Daredevil SKK - Simple Kana to Kanji conversion program for Emacs
Owners: ueno
Branches: f14 f13
InitialCC: i18n-team

Comment 9 Kevin Fenzi 2010-10-21 13:27:28 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2010-10-22 03:15:53 UTC
emacs-common-ddskk-14.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/emacs-common-ddskk-14.1-4.fc14

Comment 11 Fedora Update System 2010-10-22 03:15:59 UTC
emacs-common-ddskk-14.1-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/emacs-common-ddskk-14.1-4.fc13

Comment 12 Daiki Ueno 2010-10-22 03:16:32 UTC
Thanks.

Comment 13 Fedora Update System 2010-11-01 20:59:12 UTC
emacs-common-ddskk-14.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-11-05 01:08:00 UTC
emacs-common-ddskk-14.1-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/emacs-common-ddskk-14.1-6.fc14

Comment 15 Fedora Update System 2010-11-05 01:08:11 UTC
emacs-common-ddskk-14.1-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/emacs-common-ddskk-14.1-6.fc13

Comment 16 Fedora Update System 2010-11-15 22:20:51 UTC
emacs-common-ddskk-14.1-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-11-15 22:22:58 UTC
emacs-common-ddskk-14.1-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.